#include <bits/stdc++.h>
using namespace std;
int main(){
    long long v;
    cin>>v;

    long long d=1;

    while(d<v)d=d*10;
    int res=0;



    while(v>0){
        res+=v/(d*5);
        v=v%(d*5);

        res+=v/(d*2);
        v=v%(d*2);

        res+=v/(d);
        v=v%(d);

        d=d/10;
    }

    cout<<res;
}